#include <stdio.h>
#define MAXDL 1000000 // maximalna dlzka vstupu
#define ABC 30 // velkost abecedy
#define max(a,b) (((a)>(b))?(a):(b))

FILE *fin=fopen("magie.in","rt");
FILE *fout=fopen("magie.out","wt");

char s[MAXDL][2];
int p[2][MAXDL];    // vyska daneho pismena
int next[2][MAXDL]; // pozicia dalsieho rovnakeho pismena vo vstup
int first[2][ABC];  // kde sa prvykrat nachadza dane pismeno

int last[ABC]; // posledne posledna pozicia, kde sa vyskytlo dane pismeno na vstupe
int height[ABC]; // vyska pismen; POZOR : cislovane od 1

int n; // dlzka vstupu

int srot()
{
  int i,pis;
  char c;
  
  for ( i=0; i<ABC; i++ ) first[0][i]=height[i]=-1;

  for ( i=0; i<n; i++ )
  {
    pis=s[i][0]-'a';
    if (first[0][pis]==-1) first[0][pis]=i; // prvy vyskyt
    else next[0][last[pis]]=i;
    height[pis+1]=p[0][i]=max(height[pis],max(height[pis+1],height[pis+2]))+1;
    next[0][i]=-1;
    last[pis]=i;
  } 

  //
  
  for ( i=0; i<ABC; i++ ) first[1][i]=height[i]=-1;

  for ( i=0; i<n; i++ )
  {
    pis=s[i][1]-'a';
    if (first[1][pis]==-1) first[1][pis]=i; // prvy vyskyt
    else next[1][last[pis]]=i;
    height[pis+1]=p[1][i]=max(height[pis],max(height[pis+1],height[pis+2]))+1;
    next[1][i]=-1;
    last[pis]=i;
  } 

  return 0;
}

int porovnaj()
{
  int i,poz1,poz2;

  for ( i=0; i<26; i++ ) 
  {
    poz1=first[0][i]; poz2=first[1][i];
    while (poz1!=-1 && poz2!=-1)
    {
      if (p[0][poz1]!=p[1][poz2]) return 1; // rozlicne vysky rovnakych pismen
      poz1=next[0][poz1]; poz2=next[1][poz2];
    }
  }

  return 0;
}

int main()
{
  int i;
  char *ss;
  
  while (1)
  {
    fscanf(fin,"%d ", &n);
    if (!n) break;
    
    ss=s[0];
    for ( i=0; i<2*n; i++ )
    {
      *ss=getc(fin); ss++;
      *ss=getc(fin); 
    }

    srot(); 
    if (porovnaj()) fprintf(fout,"ne"); fprintf(fout,"ekvivalentni\n");
  }

  return 0;
}
